#include <bits/stdc++.h>
int a[5005], b[5005];
long long Konflikt(int N,int M,int *A,int *B){
    long long best = 0, tren = 0;
    for(int i = 0; i<M; i++){
        for(int j = 1; j<=N; j++){
        a[j] = A[j];
        b[j] = B[j];
    }
    for(int j = 1; j<=N; j++){
        a[j] = (a[j]+i)%M;
        b[j] = (b[j]+i)%M;
    }
    sort(a+1, a+N+1);
    sort(b+1, b+N+1);
    for(int j = 1; j<=N; j++){
        tren+=abs(a[j]-b[j]);
    }
    if(tren>best) best = tren;
    tren = 0;
    }
    return best;
}